Loading...
Searching...
No Matches
random.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/gr_complex.h>`
`#include <gnuradio/xoroshiro128p.h>`
`#include <limits>`
`#include <random>`
Include dependency graph for random.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::xoroshiro128p_prng
| wrapper for XOROSHIRO128+ PRNG for use in std::distributions Fulfills C++ named requirements for UniformRandomBitGenerator More...
class | gr::random
| pseudo random number generator More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.